Package com.smartgwt.client.types

# Enum UnionFieldsStrategy

java.lang.Object
java.lang.Enum<UnionFieldsStrategy>
com.smartgwt.client.types.UnionFieldsStrategy

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<UnionFieldsStrategy>`, `Constable`

public enum UnionFieldsStrategy extends Enum<UnionFieldsStrategy> implements ValueEnum
The strategy used when auto-deriving the fields that make up a UnionDataSource, if no `unionFields` setting is provided.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Create a unioned field for every field contributed by every member dataSource.
  `INTERSECT`
  Only create a unioned field where all of the member dataSources have a field with the same name and data type
  `MATCHING`
  Create a unioned field where at least two of the member dataSources have a field with the same name and data type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static UnionFieldsStrategy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static UnionFieldsStrategy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTERSECT

    public static final UnionFieldsStrategy INTERSECT
    Only create a unioned field where all of the member dataSources have a field with the same name and data type

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "intersect".

  - ### MATCHING

    public static final UnionFieldsStrategy MATCHING
    Create a unioned field where at least two of the member dataSources have a field with the same name and data type. Any member dataSources that do not have the field will contribute a null value for that field in the unioned dataset

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "matching".

  - ### ALL

    public static final UnionFieldsStrategy ALL
    Create a unioned field for every field contributed by every member dataSource. Where there are matching fields on other dataSource(s), we will union the fields as described for "matching". Where a field only exists on one dataSource, all other dataSources will contribute null for that field in the unioned dataset

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "all".

- ## Method Details

  - ### values

    public static UnionFieldsStrategy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static UnionFieldsStrategy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`